Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.ip2
Class SyncState.ClientStateDelta

    java.lang.Object
      ix.ip2.SyncState.AbstractServerOperation
          ix.ip2.SyncState.ClientStateDelta

All Implemented Interfaces:
  SyncState.Operation, SyncState.ServerOperation, java.io.Serializable

Direct Known Subclasses:
  SyncState.ClientStateChange, SyncState.ClientStateDeletion, SyncState.RegisterClient

Enclosing class:
  SyncState

    public abstract static class SyncState.ClientStateDelta

extends SyncState.AbstractServerOperation

See Also:
  Serialized Form

Field Summary
`protected ix.icore.domain.ListOfPatternAssignment` | `delta`

Fields inherited from class ix.ip2.SyncState.AbstractServerOperation
`clientName`

Constructor Summary
`SyncState.ClientStateDelta(java.lang.String clientName, java.util.Map delta)`

Method Summary
`ix.icore.domain.ListOfPatternAssignment` | `getDelta()`
`void` | `setDelta(ix.icore.domain.ListOfPatternAssignment delta)`

Methods inherited from class ix.ip2.SyncState.AbstractServerOperation
`getClientName, setClientName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface ix.ip2.SyncState.ServerOperation
`run`

Field Detail

### delta

    protected ix.icore.domain.ListOfPatternAssignment delta

Constructor Detail

### SyncState.ClientStateDelta

    public SyncState.ClientStateDelta(java.lang.String clientName,
                                      java.util.Map delta)

Method Detail

### getDelta

    public ix.icore.domain.ListOfPatternAssignment getDelta()

### setDelta

    public void setDelta(ix.icore.domain.ListOfPatternAssignment delta)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD